%define anolis_release 1

Name:           dash
Version:        0.5.12
Release:        %{anolis_release}%{?dist}
Summary:        Small and fast POSIX-compliant shell
# BSD: DASH in general
# GPLv2+: From src/mksignames.c
# Public Domain: From src/bltin/test.c
# Copyright only: From src/hetio.h
License:        BSD and GPLv2+ and Public Domain and Copyright only
URL:            http://gondor.apana.org.au/~herbert/%{name}/
Source0:        http://gondor.apana.org.au/~herbert/%{name}/files/%{name}-%{version}.tar.gz
Provides:       /bin/dash
BuildRequires:  gcc
BuildRequires:  make

%description
DASH is a POSIX-compliant implementation of /bin/sh that aims to be as small as
possible. It does this without sacrificing speed where possible. In fact, it is
significantly faster than bash (the GNU Bourne-Again SHell) for most tasks.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup

%build
%configure --bindir=%{_bindir}
%make_build

%install
%make_install

%post
grep -q '^/bin/dash$' %{_sysconfdir}/shells || \
    echo '/bin/dash' >> %{_sysconfdir}/shells

%postun
if [ $1 -eq 0 ]; then
    sed -i '/^\/bin\/dash$/d' %{_sysconfdir}/shells
fi

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files doc
%doc COPYING ChangeLog

%changelog
* Thu Mar 16 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 0.5.12-1
- Init from upstream
